"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateUniquesBasedOnKeyFilter = exports.isShallowGitRepo = void 0;
var fs = require("fs");
function isShallowGitRepo(path) {
    return fs.existsSync(path + '.git/shallow');
}
exports.isShallowGitRepo = isShallowGitRepo;
exports.generateUniquesBasedOnKeyFilter = function (key) {
    var uniques = new Set();
    return function (item) {
        var alreadyAdded = uniques.has(item[key]);
        if (!alreadyAdded) {
            uniques.add(item[key]);
        }
        return !alreadyAdded;
    };
};
